### Method

# Adw NavigationView push_by_tag

since: 1.4

#### Declaration [src]

    void
    adw_navigation_view_push_by_tag (
      AdwNavigationView* self,
      const char* tag
    )

#### Description [src]

Pushes the page with the tag `tag` onto the navigation stack.

If `adw_navigation_view_add()` hasn’t been called, the page is automatically removed once it’s popped.

`AdwNavigationView::popped` will be emitted for pushed page.

See `adw_navigation_view_push()` and `AdwNavigationPage:tag`.

Available since: 1.4

#### Parameters

`tag`

  Type: `const char*`

  The page tag.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.